``profile::puppet_client``
==========================


Parameters
----------

==========  =========  =========================
**Name**    **Type**   **Default**
----------  ---------  -------------------------
exec_time   string     ``05:00:00 -- 08:00:00``
==========  =========  =========================


``exec_time``
~~~~~~~~~~~~~

Defines a time window during which Puppet will run every day. The exact time
depends on the FQDN of the system (see below), ensuring that on each system the
timing is consistent and predictable, but across a group of systems using the
same time window the exact times are distributed uniformly.

The syntax is ``HH:MM:SS -- HH:MM:SS``.
